{% set tabListID = tabID ~ '-tab' %}
{% set tabContentID = tabListID ~ '-content' %}

<div class="flex flex-col {{ horizontal ? '' : 'lg:flex-row' }} tab-component gap-4" data-controller="tab">
    <div>
        <twig:Atoms:Tab:TabList tabListID="{{ tabListID }}" tabContentID="{{ tabContentID }}" horizontal="{{ horizontal }}">
            {% for tabID, tab in tabs %}
                <twig:Atoms:Tab:TabItem
                        horizontal="{{ horizontal }}"
                        tabItemID="{{ tabID }}-tab"
                        tabContentItemID="{{ tabID }}-tab-content"
                        selected="{{ tab.selected ?? false }}"
                >{{ tab.label }}</twig:Atoms:Tab:TabItem>
            {% endfor %}
        </twig:Atoms:Tab:TabList>
    </div>

    <twig:Atoms:Tab:TabContent
            tabContentID="{{ tabContentID }}"
    >
        {% for tabID, tab in tabs %}
            <twig:Atoms:Tab:TabContentItem
                    tabItemID="{{ tabID }}-tab"
                    tabContentItemID="{{ tabID }}-tab-content"
            >{{ tab.content | raw }}</twig:Atoms:Tab:TabContentItem>
        {% endfor %}
    </twig:Atoms:Tab:TabContent>

</div>